# DataHandleInternal (ARX GUI Documentation)

org.deidentifier.arx

## Class DataHandleInternal

- java.lang.Object
- - org.deidentifier.arx.DataHandleInternal

-     public class DataHandleInternal
      extends java.lang.Object

  Wrapper class that provides information to StatisticsBuilder.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DataHandleInternal.InterruptHandler` Interface

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DataHandleInternal(DataHandle handle)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataHandleInternal` | `getAssociatedInput()` Returns the associated input handle, itself if there is none.
    `java.lang.String` | `getAttributeName(int column)` Method
    `DataType<?>` | `getBaseDataType(java.lang.String attribute)`
    `int` | `getColumnIndexOf(java.lang.String attribute)` Delegate
    `DataType<?>` | `getDataType(java.lang.String attribute)` Method
    `java.util.Date` | `getDate(int row, int column)` Delegate
    `DataDefinition` | `getDefinition()` Method
    `java.lang.String[]` | `getDistinctValues(int column)` Delegate
    `java.lang.String[]` | `getDistinctValues(int column, boolean ignoreSuppression, DataHandleInternal.InterruptHandler stop)` Method
    `java.lang.String[]` | `getDistinctValues(int column, DataHandleInternal.InterruptHandler stop)` Method
    `java.lang.Double` | `getDouble(int row, int column)` Delegate
    `int` | `getGeneralization(java.lang.String attribute)` Method
    `java.lang.Long` | `getLong(int row, int column)` Delegate
    `int` | `getNumColumns()` Method
    `int` | `getNumRows()` Method
    `StatisticsBuilder` | `getStatisticsBuilder()`
    `DataHandleInternal` | `getSuperset()` Returns the superset, if this handle is a subset
    `java.lang.String` | `getValue(int row, int column)` Method
    `java.lang.String` | `getValue(int row, int col, boolean ignoreSuppression)` Gets the value
    `DataHandleInternal` | `getView()` Returns the view
    `boolean` | `isAnonymous()` Returns whether the handle is anonymous
    `boolean` | `isOptimized()` Returns whether the handle is optimized
    `boolean` | `isOutlier(int row)` Returns whether the given row is suppressed
    `boolean` | `isOutput()` Returns whether this is an output handle

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHandleInternal

          protected DataHandleInternal(DataHandle handle)

      Constructor
      Parameters:
        `handle` -
        `anonymous` -

  - ### Method Detail

    - #### getAssociatedInput

          public DataHandleInternal getAssociatedInput()

      Returns the associated input handle, itself if there is none.
      Returns:

    - #### getAttributeName

          public java.lang.String getAttributeName(int column)

      Method
      Parameters:
        `column` -
      Returns:

    - #### getBaseDataType

          public DataType<?> getBaseDataType(java.lang.String attribute)

      Parameters:
        `attribute` -
      Returns:

    - #### getColumnIndexOf

          public int getColumnIndexOf(java.lang.String attribute)

      Delegate
      Parameters:
        `attribute` -
      Returns:

    - #### getDataType

          public DataType<?> getDataType(java.lang.String attribute)

      Method
      Parameters:
        `attribute` -
      Returns:

    - #### getDate

          public java.util.Date getDate(int row,
                               int column)
                                 throws java.text.ParseException

      Delegate
      Parameters:
        `row` -
        `column` -
      Returns:
      Throws:
        `java.text.ParseException`

    - #### getDefinition

          public DataDefinition getDefinition()

      Method
      Returns:

    - #### getDistinctValues

          public java.lang.String[] getDistinctValues(int column)

      Delegate
      Parameters:
        `column` -
      Returns:

    - #### getDistinctValues

          public java.lang.String[] getDistinctValues(int column,
                                             boolean ignoreSuppression,
                                             DataHandleInternal.InterruptHandler stop)

      Method
      Parameters:
        `column` -
        `ignoreSuppression` -
        `stop` -
      Returns:

    - #### getDistinctValues

          public java.lang.String[] getDistinctValues(int column,
                                             DataHandleInternal.InterruptHandler stop)

      Method
      Parameters:
        `column` -
        `stop` -
      Returns:

    - #### getDouble

          public java.lang.Double getDouble(int row,
                                   int column)
                                     throws java.text.ParseException

      Delegate
      Parameters:
        `row` -
        `column` -
      Returns:
      Throws:
        `java.text.ParseException`

    - #### getGeneralization

          public int getGeneralization(java.lang.String attribute)

      Method
      Parameters:
        `attribute` -
      Returns:

    - #### getLong

          public java.lang.Long getLong(int row,
                               int column)
                                 throws java.text.ParseException

      Delegate
      Parameters:
        `row` -
        `column` -
      Returns:
      Throws:
        `java.text.ParseException`

    - #### getNumColumns

          public int getNumColumns()

      Method
      Returns:

    - #### getNumRows

          public int getNumRows()

      Method
      Returns:

    - #### getStatisticsBuilder

          public StatisticsBuilder getStatisticsBuilder()

    - #### getSuperset

          public DataHandleInternal getSuperset()

      Returns the superset, if this handle is a subset
      Returns:

    - #### getValue

          public java.lang.String getValue(int row,
                                  int column)

      Method
      Parameters:
        `row` -
        `column` -
      Returns:

    - #### getValue

          public java.lang.String getValue(int row,
                                  int col,
                                  boolean ignoreSuppression)

      Gets the value

    - #### getView

          public DataHandleInternal getView()

      Returns the view
      Returns:

    - #### isAnonymous

          public boolean isAnonymous()

      Returns whether the handle is anonymous
      Returns:

    - #### isOptimized

          public boolean isOptimized()

      Returns whether the handle is optimized
      Returns:

    - #### isOutlier

          public boolean isOutlier(int row)

      Returns whether the given row is suppressed
      Parameters:
        `row` -
      Returns:

    - #### isOutput

          public boolean isOutput()

      Returns whether this is an output handle
      Returns: